## golang-github-schollz-peerdiscovery 1.7.4

=== examples/ipv6/Makefile ===
build:
	docker build --no-cache -t peertest .

run:
	@echo "\nfollow https://docs.docker.com/config/daemon/ipv6/ to setup docker for ipv6\n\n"
	docker run --ip6 -t --rm peertest

## golang-github-schollz-peerdiscovery 1.7.2

=== debian/changelog ===
golang-github-schollz-peerdiscovery (1.7.2-3) unstable; urgency=medium

  * d/rules: Skip tests that try to access the internet.
    - TestDiscovery
    - TestDiscoverySelf

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Wed, 20 Mar 2024 19:03:00 -0300

golang-github-schollz-peerdiscovery (1.7.2-2) unstable; urgency=medium

  * Source-only upload.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Thu, 14 Mar 2024 19:29:00 -0300

golang-github-schollz-peerdiscovery (1.7.2-1) unstable; urgency=medium

  * Initial release (Closes: #1064537)

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Fri, 23 Feb 2024 11:31:12 -0300

=== debian/control ===
Source: golang-github-schollz-peerdiscovery
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Guilherme Puida Moreira <guilherme@puida.xyz>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-schollz-peerdiscovery
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-schollz-peerdiscovery.git
Homepage: https://github.com/schollz/peerdiscovery
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/schollz/peerdiscovery

Package: golang-github-schollz-peerdiscovery-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev,
         ${misc:Depends}
Description: Library for cross-platform local peer discovery using UDP multicast (library)
 Pure-go library for cross-platform thread-safe local peer discovery using
 UDP multicast.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# Skip tests try to access the internet.
	# They fail when building under a buildd.
	dh_auto_test -- -skip='TestDiscovery|TestDiscoverySelf'

## golang-github-schollz-peerdiscovery 1.7.3

=== debian/changelog ===
golang-github-schollz-peerdiscovery (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3.
  * d/control:
    - Bump Standards-Version to 4.7.0, no changes needed.
    - Build-Depend on dh-sequence-golang.
  * d/rules:
    - Remove --with-golang due to dh-sequence-golang.

 -- Guilherme Puida Moreira <guilherme@puida.xyz>  Thu, 23 May 2024 20:30:32 -0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-stretchr-testify-dev,
                golang-golang-x-net-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-schollz-peerdiscovery
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-schollz-peerdiscovery.git
 Homepage: https://github.com/schollz/peerdiscovery

## golang-github-schollz-peerdiscovery 1.7.4

=== debian/changelog ===
golang-github-schollz-peerdiscovery (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.7.4.

 -- Guilherme Lima <guizinpeix7@gmail.com>  Thu, 15 Aug 2024 00:17:37 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_GOLANG_EXCLUDES := examples/
 
 %:
-	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang
 
 override_dh_auto_test:
 	# Skip tests try to access the internet.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/schollz/peerdiscovery/tags .*/v?(\d\S*)\.tar\.gz debian
